Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226506

Summary: Merge Review: ttmkfdir
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: i18n-bugs, panemade, psatpute
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-17 06:54:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 21:12:42 UTC
Fedora Merge Review: ttmkfdir

http://cvs.fedora.redhat.com/viewcvs/devel/ttmkfdir/
Initial Owner: lizhang@redhat.com

Comment 2 Tony Fu 2008-09-10 03:07:14 UTC
requested by Jens Petersen (#27995)

Comment 3 Parag AN(पराग) 2008-12-12 08:49:52 UTC
will review this. Assigning review to me for now.

Comment 4 Parag AN(पराग) 2008-12-15 05:38:31 UTC
1) Buildroot should be from http://fedoraproject.org/wiki/PackagingGuidelines#BuildRoot_tag

2) defattr usage should be %defattr(-,root,root, -)

3) according to 
http://fedoraproject.org/wiki/PackagingGuidelines#Why_the_.25makeinstall_macro_should_not_be_used
use make DESTDIR=$RPM_BUILD_ROOT install

4) Also, in Changelog use %%post instead of %post

Comment 5 Pravin Satpute 2008-12-15 10:39:05 UTC
modified as per comments
updated spec file
http://pravins.fedorapeople.org/ttmkfdir/ttmkfdir.spec

updated srpm 
http://pravins.fedorapeople.org/ttmkfdir/ttmkfdir-3.0.9-28.fc10.src.rpm

rpmlint on srpm gives
ttmkfdir.src: W: no-url-tag

Comment 7 Parag AN(पराग) 2008-12-15 11:16:50 UTC
package built successfully http://koji.fedoraproject.org/koji/taskinfo?taskID=999153

rpmlint only complained 
ttmkfdir.src: W: no-url-tag
But I see that there is already comment as per http://fedoraproject.org/wiki/Packaging/SourceURL#We_are_Upstream

Can you build this package in rawhide now? Once its built I will approve review.

Comment 8 Pravin Satpute 2008-12-15 11:39:57 UTC
Done
built it for rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=999184

Thanks for completing merge review of ttmkfdir

Comment 9 Parag AN(पराग) 2008-12-15 13:14:33 UTC
Thanks for building package.

APPROVED This Merge-Review.